Name:           python3-netaddr
Version:        0.7.18
Release:        2%{?dist}
Summary:        A pure Python network address representation and manipulation library

License:        BSD
URL:            http://github.com/drkjam/netaddr
Source0:        https://pypi.python.org/packages/source/n/netaddr/netaddr-%{version}.tar.gz

BuildArch:      noarch

%global desc A network address manipulation library for Python\
\
Provides support for:\
\
Layer 3 addresses\
\
 * IPv4 and IPv6 addresses, subnets, masks, prefixes\
 * iterating, slicing, sorting, summarizing and classifying IP networks\
 * dealing with various ranges formats (CIDR, arbitrary ranges and globs, nmap)\
 * set based operations (unions, intersections etc) over IP addresses and subnets\
 * parsing a large variety of different formats and notations\
 * looking up IANA IP block information\
 * generating DNS reverse lookups\
 * supernetting and subnetting\
\
Layer 2 addresses\
\
 * representation and manipulation MAC addresses and EUI-64 identifiers\
 * looking up IEEE organisational information (OUI, IAB)\
 * generating derived IPv6 addresses


%description
%{desc}


%package -n python%{python3_pkgversion}-netaddr
Summary: A pure Python network address representation and manipulation library
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
#BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  python-sphinx
BuildRequires:  python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-netaddr
%{desc}


%prep
%setup -q -n netaddr-%{version}

# Make rpmlint happy, get rid of DOS line endings
sed -i 's/\r//' netaddr/*.py netaddr/ip/*.py netaddr/eui/*.idx
rm runtests.py

# Make rpmlint happy, rip out python shebang lines from most python
# modules
find netaddr -name "*.py" | \
  xargs sed -i -e '1 {/^#!\//d}'
# Fix python executable
sed -i -e '1s,/usr/bin/env python,%{__python3} %{?py_shbang_opts},' netaddr/tools/netaddr

# Make rpmlint happy, fix permissions on documentation files
chmod 0644 README.md AUTHORS CHANGELOG COPYRIGHT LICENSE PKG-INFO


%build
%py3_build

#docs
pushd docs
PYTHONPATH='../' sphinx-build -b html -d build/doctrees source html
#PYTHONPATH='../' sphinx-build-%{python3_version} -b html -d build/doctrees source html
popd


%install
%py3_install
mv %{buildroot}%{_bindir}/netaddr %{buildroot}%{_bindir}/netaddr-%{python3_version}


%check
LANG=en_US.UTF-8 py.test-%{python3_version}


%files -n python%{python3_pkgversion}-netaddr
%license COPYRIGHT LICENSE
%doc AUTHORS CHANGELOG
%doc README.md docs/html
%{python3_sitelib}/*
%{_bindir}/netaddr-%{python3_version}


%changelog
* Mon Nov 14 2016 Orion Poplawski <orion@cora.nwra.com> - 0.7.18-2
- Update description
- Fix netaddr shebang (bug #1394046)

* Thu Nov 10 2016 Orion Poplawski <orion@cora.nwra.com> - 0.7.18-1
- Initial EPEL package
